%define majver %(echo %version | cut -d. -f1-2)

Name:          kdecoration
Version:       5.5.4
Release:       1mamba
Summary:       KDE Frameworks 5 Plugin based library to create window decorations
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{version}/kdecoration-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Plugin based library to create window decorations.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 Plugin based library to create window decorations

%description -n lib%{name}
KDE Frameworks 5 Plugin based library to create window decorations.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
KDE Frameworks 5 Plugin based library to create window decorations.
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libkdecorations2.so.*
%{_libdir}/libkdecorations2private.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KDecoration2
%dir %{_includedir}/KDecoration2/KDecoration2
%{_includedir}/KDecoration2/KDecoration2/*
%dir %{_includedir}/KDecoration2/kdecoration2
%{_includedir}/KDecoration2/kdecoration2/*.h
%dir %{_includedir}/KDecoration2/kdecoration2/private
%{_includedir}/KDecoration2/kdecoration2/private/*.h
%{_kde5_includedir}/kdecoration2_version.h
%dir %{_libdir}/cmake/KDecoration2
%{_libdir}/cmake/KDecoration2/KDecoration2*.cmake
%{_libdir}/libkdecorations2.so
%{_libdir}/libkdecorations2private.so

%changelog
* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Fri Dec 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-1mamba
- package created using the webbuild interface
